> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Movement

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /accounts/{account_id}/movements/{id}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /accounts/{account_id}/movements/{id}:
    get:
      summary: Retrieve Movement
      operationId: movements-retrieve
      parameters:
        - name: account_id
          in: path
          required: true
          description: The `id` of the Account that holds the movement you want to get.
          schema:
            type: string
            default: acc_qNDRKQeTpbAKvpnW
        - name: link_token
          in: query
          description: >-
            The access token of the `Link` associated to the account, returned
            when creating said `Link`.
          schema:
            type: string
            default: link_Q0xVGPvijElLRMwE_token_FhsFVurz5q5FycHA5xxhTpzX
        - name: id
          in: path
          description: The `id` of the Movement you want to retrieve.
          schema:
            type: string
            default: mov_QEaeq4Hyq3PO8mWb
          required: true
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "mov_BO381oEATXonG6bj",
                        "object": "movement",
                        "amount": -1717,
                        "post_date": "2020-04-06T00:00:00.000Z",
                        "description": "Cargo Seguro Proteccion Bancaria",
                        "transaction_date": "2020-04-04T02:19:23.000Z",
                        "currency": "CLP",
                        "type": "other",
                        "pending": false,
                        "recipient_account": null,
                        "sender_account": null,
                        "comment": null
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: mov_BO381oEATXonG6bj
                  object:
                    type: string
                    example: movement
                  amount:
                    type: integer
                    example: -1717
                    default: 0
                  post_date:
                    type: string
                    example: '2020-04-06T00:00:00.000Z'
                  description:
                    type: string
                    example: Cargo Seguro Proteccion Bancaria
                  transaction_date:
                    type: string
                    example: '2020-04-04T02:19:23.000Z'
                  currency:
                    type: string
                    example: CLP
                  type:
                    type: string
                    example: other
                  pending:
                    type: boolean
                    example: false
                    default: true
                  recipient_account: {}
                  sender_account: {}
                  comment: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````